> ## Documentation Index
> Fetch the complete documentation index at: https://docs.automate.ax/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Automate.ax automations are TypeScript programs.
> Use Bun for installation and command examples.
> Use Automate.ax for the product name and automate.ax for the package, CLI, and domain.
> Treat documented public APIs as current; do not invent transitional or deprecated names.

# Update project

> Updates project fields. Requires project:update.



## OpenAPI

````yaml https://automate.ax/api/v1/openapi.json patch /projects/{projectId}
openapi: 3.1.1
info:
  title: Automate.ax API
  version: 0.0.0
servers:
  - url: https://automate.ax/api/v1
security:
  - bearerAuth: []
paths:
  /projects/{projectId}:
    patch:
      tags:
        - Projects
      summary: Update project
      description: Updates project fields. Requires project:update.
      operationId: updateProject
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 255
              required:
                - name
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  txid:
                    type: integer
                    minimum: 0
                    maximum: 9007199254740991
                required:
                  - txid
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Automate.ax user session bearer token.

````